pydo.genai.delete_simulation_run()

Generated on 1 Oct 2026 from pydo version v0.43.0

Usage

client.genai.delete_simulation_run(
    run_uuid="\"123e4567-e89b-12d3-a456-426614174000\"",
)
Returns JSONRaises HttpResponseError

Description

To delete a simulation run, send a DELETE request to /v2/gen-ai/simulation_runs/{run_uuid}. The run must be in a terminal status (SIMULATION_RUN_STATUS_SUCCEEDED, SIMULATION_RUN_STATUS_PARTIALLY_SUCCESSFUL, SIMULATION_RUN_STATUS_FAILED, or SIMULATION_RUN_STATUS_CANCELLED). For runs still in progress, cancel the run first, then retry the delete.

Parameters

run_uuid string required

UUID of the simulation run to delete. The run must be in a terminal
status. For runs still in progress, cancel the run first, then retry
the delete.

Response Example

Show Response Example
{
  "run_uuid": "123e4567-e89b-12d3-a456-426614174000"
}

More Information

See /v2/gen-ai/simulation_runs/{run_uuid} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.